import path_setting
from in_common.base_request import BaseRequest


class filter_request(BaseRequest):

    def __init__(self):
        self.data = self.api_load(path_setting.FILTER_CONFIG)

    def service_home_city_v2(self, current_city_id, lat, lng):
        print("fgx")
        self.params["current_city_id"] = current_city_id
        self.params["lat"] = lat
        self.params["lng"] = lng
        return self.api_send(self.data["service_home_city_v2"])

if __name__ == '__main__':

    #城市筛选器
    print(filter_request().service_home_city_v2("", "40.002", "116.487252"))
    print("fgx")


